# Generated by go2rpm
%bcond_without check

# https://github.com/pmezard/go-difflib
%global project         github.com/pmezard
%global goipath         %{project}/go-difflib

%global common_description %{expand:
Go-difflib is a partial port of python 3 difflib package. Its main goal is to
make unified and context diff available in pure Go, mostly for testing
purposes.}


Name:           golang-github-pmezard-difflib
Version:	1.0.0
Release:        6%{?dist}
Summary:        Partial port of python difflib package to Go

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://%{goipath}
# https://%{goipath}/archive/v%{version}.tar.gz
Source0:	go-difflib-%{version}.tar.gz

# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch

Obsoletes:      golang-github-pmezard-go-difflib-devel < 0-0.15

Provides:	golang(github.com/pmezard/go-difflib/difflib) = %{version}-%{release}
Provides:	golang-github-pmezard-difflib-devel = %{version}-%{release}
Provides:	golang-ipath(github.com/pmezard/go-difflib) = %{version}-%{release}

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%setup -q -n go-difflib-%{version}

%install
install -d -p %{buildroot}/%{gopath}/src/%{goipath}/
# find all *.go but no *_test.go files and generate devel.file-list
for file in $(find . -iname "*.go" \! -iname "*_test.go") ; do
    install -d -p %{buildroot}/%{gopath}/src/%{goipath}/$(dirname $file)
    cp -pav $file %{buildroot}/%{gopath}/src/%{goipath}/$file
    echo "%%{gopath}/src/%%{goipath}/$file" >> devel.file-list
done

%if %{with check}
%check

%if ! 0%{?gotest:1}
%global gotest go test
%endif

export GO111MODULE=off
%gotest ./difflib
%endif

%files devel -f devel.file-list
%license LICENSE
%doc README.md
%dir %{gopath}/src/%{project}
%dir %{gopath}/src/%{goipath}

%changelog
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.0-2
- Add Obsoletes for old name

* Mon Apr 15 21:49:54 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- Release 1.0.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git792786c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.13.git792786c
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git792786c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 21 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.git792786c
- Upload glide files

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git792786c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Sep 12 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.9.git792786c
- Bump to upstream 792786c7400a136282c1664665ae0a8db921c6c2
  resolves: #1490448

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gitd8ed262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.gitd8ed262
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 16 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.6.gitd8ed262
- Bump to upstream d8ed2627bdf02c080bf22230dbb337003b7aba2d
  resolves: #1432934

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.gitf78a839
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.gitf78a839
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitf78a839
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitf78a839
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 15 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitf78a839
- First package for Fedora
  resolves: #1272174
